Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto.params
Class DSAPublicKeyParameters

    java.lang.Object
      org.bouncycastle.crypto.params.AsymmetricKeyParameter
          org.bouncycastle.crypto.params.DSAKeyParameters
              org.bouncycastle.crypto.params.DSAPublicKeyParameters

All Implemented Interfaces:
  CipherParameters

    public class DSAPublicKeyParameters

extends DSAKeyParameters

Constructor Summary
`DSAPublicKeyParameters(java.math.BigInteger y, DSAParameters params)`

Method Summary
`java.math.BigInteger` `getY()`

Methods inherited from class org.bouncycastle.crypto.params.DSAKeyParameters
`getParameters`

Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter
`isPrivate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DSAPublicKeyParameters

    public DSAPublicKeyParameters(java.math.BigInteger y,
                                  DSAParameters params)

Method Detail

### getY

    public java.math.BigInteger getY()

Bouncy Castle Cryptography Library 1.45